Bug 195845 - [maintainer update] japanese/font-ricty: Update to 3.2.4
Summary: [maintainer update] japanese/font-ricty: Update to 3.2.4
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Jan Beich
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-12-10 08:57 UTC by Koichiro Iwao
Modified: 2015-02-09 13:55 UTC (History)
2 users (show)

See Also:


Attachments
patch (1.06 KB, patch)
2014-12-10 08:57 UTC, Bugzilla Automation
no flags Details | Diff
patch (2.16 KB, patch)
2014-12-18 16:31 UTC, Koichiro Iwao
no flags Details | Diff
fixup stage bugs (1.23 KB, patch)
2015-01-31 14:00 UTC, Jan Beich
no flags Details | Diff
merge jan's stagedir fixup (3.21 KB, patch)
2015-01-31 16:10 UTC, Koichiro Iwao
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Koichiro Iwao freebsd_committer 2014-12-10 08:57:44 UTC
Created attachment 150423 [details]
patch
Comment 1 Bartek Rutkowski freebsd_committer 2014-12-18 16:17:25 UTC
Hi,

Could you please work on the pkg-plist (@dirrmtry nor @dirrm are not allowed anymore) and send an updated patch?

Kind regards,
Bartek Rutkowski
Comment 2 Koichiro Iwao freebsd_committer 2014-12-18 16:31:26 UTC
Created attachment 150730 [details]
patch

I see. Just removed @dirrm*, is that ok?
Comment 3 Bartek Rutkowski freebsd_committer 2014-12-19 11:23:03 UTC
You can find the proper keywords usage here:

https://www.freebsd.org/doc/en_US.ISO8859-1/books/porters-handbook/plist-keywords.html#plist-keywords-fc-example

Please, read this document and adjust your plist as required. Once that's done, please test your patch in Poudriere and if it goes well (no errors), please upload the new patch along with poudriere build log, and deprecate the other patches that are in this PR.

Kind regards,
Bartek Rutkowski
Comment 4 Koichiro Iwao freebsd_committer 2014-12-19 11:56:10 UTC
Thank you for the information.

I formerly used redports to test my ports and patches however it has been down for a long time I cannot do further port test. No longer I should rely on redports, it's time to build poudriere environment by my own now. I'll give it a try.
Comment 5 Jan Beich freebsd_committer 2015-01-31 14:00:45 UTC
Created attachment 152414 [details]
fixup stage bugs

(see complete diff in review D1745)

post-install can be dropped as well. STAGEDIR-aware ports already run @exec lines from pkg-plist during install and fc-cache(1) line in Makefile fails to prepend STAGEDIR.

While testing with poudriere I've noticed fontforge(1) writes under XDG_CONFIG_HOME leading to build_fs_violation

  ====>> Checking for filesystem violations... done
  ====>> Error: Filesystem touched during build:
  extra: root/.config

and fonts.dir cleanup in pkg-install script removes all Ricty lines, even those belonging to the slave port, leading to stage_fs_violation

  ====>> Checking for extra files and directories
  ====>> Error: Files or directories modified:
  %%X_FONTSDIR%%/TTF/fonts.dir size (19641, 15016)
Comment 6 Koichiro Iwao freebsd_committer 2015-01-31 16:10:12 UTC
Created attachment 152417 [details]
merge jan's stagedir fixup

Jan, thank you for letting me know how to write STAGEDIR-aware ports.
I've merged your patch.  Please look at and commit it, thanks.
Comment 7 commit-hook freebsd_committer 2015-01-31 16:48:45 UTC
A commit references this bug:

Author: jbeich
Date: Sat Jan 31 16:48:42 UTC 2015
New revision: 378220
URL: https://svnweb.freebsd.org/changeset/ports/378220

Log:
  - Update to 3.2.4 [1]
  - Drop @dirrm* from pkg-plist [1]
  - Drop redundant post-install [2]
  - Only remove fonts.dir lines belonging to the port [2]
  - Avoid writing under ~/.config/fontforge during build [2]

  PR:		195845
  Differential Revision:	https://reviews.freebsd.org/D1745
  Submitted by:	Koichiro IWAO (maintainer) [1]
  Approved by:	Koichiro IWAO (maintainer) [2]
  Approved by:	bapt (mentor)

Changes:
  head/japanese/font-ricty/Makefile
  head/japanese/font-ricty/distinfo
  head/japanese/font-ricty/files/pkg-install.in
  head/japanese/font-ricty/pkg-plist
Comment 8 Jan Beich freebsd_committer 2015-01-31 16:53:03 UTC
Comitted. Thanks.